| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
System

# Method System.getsid()

Method getsid

  `int getsid(int|void pid)`

Description

  Get the process session ID for the given process. If pid is not specified, the session ID for the current process will be returned.

Note

  This function is not available on all platforms.

Throws

  Throws an error if the system call fails.

See also

  getpid , getpgrp , setsid